Page MenuHomePhabricator

Add a #pagetriage revision tag to every edit made by the PageTriage extension
Closed, ResolvedPublic

Description

This is part of the outcomes of the investigation T207452: Flag talk page feedback in toolbar

Add a pagetriage revision tag to every page edit that the PageTriage extension makes.

This task is mainly about setting up the tag so we can use it in T207443: Feedback for creator should also be posted to article talk page when posting to talk pages.

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterAdd pagetriage change-tag to talk page messages
mediawiki/extensions/PageTriage : masterTag edits made with this extension

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 28 2019, 12:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Niharika renamed this task from Add a #pagetriage revision tag to every edit made by the extension to Add a #pagetriage revision tag to every edit made by the PageTriage extension.Jul 1 2019, 4:41 PM
Niharika triaged this task as Medium priority.
Niharika updated the task description. (Show Details)
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
MaxSem claimed this task.Jul 1 2019, 7:00 PM
MaxSem moved this task from Ready to In Development on the Community-Tech (Resolved 2018-19 Q4) board.
MaxSem added subscribers: ifried, Niharika.

@Niharika / @ifried, any preference regarding wording?

@MaxSem pagetriage is fine.

Change 520132 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/PageTriage@master] Tag edits made with this extension

https://gerrit.wikimedia.org/r/520132

Change 520132 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Tag edits made with this extension

https://gerrit.wikimedia.org/r/520132

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Jul 9 2019, 7:38 PM
JTannerWMF added a subscriber: JTannerWMF.

Community-Tech appears to be working on this

Change 522027 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageTriage@master] Add pagetriage change-tag to talk page messages

https://gerrit.wikimedia.org/r/522027

Change 522027 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add pagetriage change-tag to talk page messages

https://gerrit.wikimedia.org/r/522027

dom_walden added a subscriber: dom_walden.

The 'pagetriage' tag is added when...

...doing "Add a message for the creator":

...marking as Reviewed/Unreviewed:

  • To the entry in the Page Curation log which shows the page has been Reviewed/Unreviewed

...adding a tag or marking for speedy or proposed deletion:

  • To the entries in the Page Curation log which mark the page reviewed (or unreviewed if deletion) and that the tag has been added
  • To the edit to the page being reviewed (which adds the appropriate template for the tag) (seen in the page's revision history)
  • To the edit in User_talk:$creator (if you have chosen to "Add a message for the creator" when tagging; always for deletion)

...marking as "Article for Deletion":

The tag is also added to the Page Patrol log when an article is first patrolled.

Potential issue

We are only missing the tag being added to entries in the Potential copyright violation log. I am not sure if this matters, but will raise a separate bug.

Environment

https://en.wikipedia.beta.wmflabs.org 1.34.0-alpha (5c771bd) 02:06, 17 July 2019

Potential issue

We are only missing the tag being added to entries in the Potential copyright violation log. I am not sure if this matters, but will raise a separate bug.

I'm not sure that such tags are needed - isn't the potential copyright violation log created by this extension? Thus, aren't all entries in that log made through page curation? Also, since (as far as I can tell) the log is only interacted with through the api, it appears that the tag is indeed added (see the logActivity function) but there simply haven't been any entries created since the patch was merged. If you want to give User:DannyS712 (on the beta cluster) copyvio-bot rights, I can test it out.

... Also, since (as far as I can tell) the log is only interacted with through the api, it appears that the tag is indeed added (see the logActivity function) but there simply haven't been any entries created since the patch was merged. If you want to give User:DannyS712 (on the beta cluster) copyvio-bot rights, I can test it out.

Testing locally, I was not able to get the tag to appear in the log (or in the database) when calling the API. I suspect that logActivity needs to call publish() rather than insert() for the tags to be added, although whether that is a good idea I don't know :)

I'm afraid I cannot give you the rights (and I don't have them myself).

I'm not sure that such tags are needed - isn't the potential copyright violation log created by this extension? Thus, aren't all entries in that log made through page curation?

One reason to add the tag to all of this extension's log entries, include its own, is that it's then possible to see all relevant log entries in one query on Special:Log.

We are only missing the tag being added to entries in the Potential copyright violation log. I am not sure if this matters, but will raise a separate bug.

Raised as T228669.

ifried closed this task as Resolved.Jul 31 2019, 6:02 PM

Since the copyright violation questions have been addressed in a different ticket, I'm marking this work as resolved.